s/http/https/ for various URLs
[abcde.git] / FAQ
diff --git a/FAQ b/FAQ
index 45b8c5f..8e51d58 100644 (file)
--- a/FAQ
+++ b/FAQ
@@ -28,7 +28,7 @@ A. To get abcde you can use a pre-packaged version, available for Debian,
 
 Q. I have a problem, and I reported some time ago. Have you solved it already?
 A. Maybe. Try downloading the master branch of the development from
-   http://git.einval.com/cgi-bin/gitweb.cgi?p=abcde.git
+   https://git.einval.com/cgi-bin/gitweb.cgi?p=abcde.git
 
 Q. When are you going to release a new version?
 A. When it is ready. I keep on having new ideas and adding them to the trunk
@@ -437,9 +437,32 @@ A. The plan is to use FFmpeg (or avconv) when FFmpeg has a good quality native
    OUTPUTTYPE="wv"
 
    You can see in this example how easy it is to switch from one WavPack encoder to
-   another by changing the comment mark '#' on the WVENCODERSYNTAX line. Plans are
-   to use FFmpeg for True Type Audio (tta) as well as MPEG-1 Audio Layer II (mp2) as
-   well as respectively ttaenc and twolame.
+   another by changing the comment mark '#' on the WVENCODERSYNTAX line. For mp2
+   encoding with FFmpeg try the following:
+   
+   # MP2ENCODERSYNTAX=twolame
+   MP2ENCODERSYNTAX=ffmpeg
+   # Appropriate PATH:
+   TWOLAME=twolame
+   FFMPEG=ffmpeg
+   FFMPEGENCOPTS='-c:a mp2 -b:a 320k'
+   TWOLAMENCOPTS='--bitrate 320'
+   # Correct output type:
+   OUTPUTTYPE="mp2"
+   
+   So currently FFmpeg supports: alac, wavpack and mp2. FFmpeg native aac support will
+   be added when it comes out of 'experimental'. FFmpeg is also used as the default
+   encoder for the Matroska or mka container. A typical example, using the FFmpeg
+   native ac3 encoder, is:
+
+   MKAENCODERSYNTAX=ffmpeg
+   FFMPEG=ffmpeg
+   FFMPEGENCOPTS="-c:a ac3 -b:a 448k"
+   OUTPUTTYPE="mka"
+
+   Other suitable codecs for this usage are Vorbis, MP2, MP3, LC-AAC, HE-AAC, WMAv1,
+   WMAv2, eAC3 and Opus. There is much more to come in the future for abcde and FFmpeg!
+
 
 5. USEPIPES
    ========
@@ -476,13 +499,13 @@ A. You can run USEPIPES in either of two ways:
 Q. Do all rippers and encoders work with USEPIPES?
 A. No :). Keep in mind that every ripper and encoder differs from in each
    other in the way they interact with pipes and not all rippers and encoders
-   will use or understand the '-o' and '-' options. Currently (July 2015) the
+   will use or understand the '-o' and '-' options. Currently (August 2015) the
    following rippers and encoders work:
 
    Rippers:  cdparanoia, debug, libcdio, cdda2wav, flac, pird.
    Encoders: mp3enc, lame, bladeenc, oggenc, opusenc, flac, speexenc,
              mpcenc, wavpack, faac, neroAacEnc, fdkaac, qaac, fhgaacenc,
-             ffmpeg.
+             ffmpeg, tta, ttaenc.
 
 Q. Can I add a ripper or encoder which is not supported?
 A. Sure! If you plan to use a ripper or encoder which is not supported you